Skip to content
BleemeoBleemeo

Retrieve a dashboard layout

GET
/v1/dashboardlayout/{id}/
curl --request GET \
--url https://example.com/v1/dashboardlayout/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single dashboard layout by its ID.

id
required
string format: uuid

A UUID string identifying this dashboard layout.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
name
string
account
required
string format: uuid
nullable
category
  • 0 - Created by user
  • 1 - Standard
  • 2 - AWS
  • 3 - vSphere
  • 4 - Other
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4
icon
string
<= 50 characters
layout_json
order
required
integer
created_at
required
string format: date-time
Example
{
"category": 0
}